/** 
 *******************************************************************************
 * @file    fc_copy.h
 * @brief   This file provides all the functions prototypes for driver common part.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2020
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef __FC_COPY_H
#define __FC_COPY_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "driver_com.h"

/**
 *  @addtogroup UTILITY UTILITY
 *  @{
 */

/** 
 *  @addtogroup FC_COPY FC_COPY
 *  @brief    FC_COPY Driver.
 *  @{
 */
/*------------------------------------------------------------------------------*/
/*  Macro Function                                                              */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup FC_COPY_Exported_macro FC_COPY Exported Macro
 *  @{
 */

/* no define */

/** 
 *  @}
 */ /* End of group FC_COPY_Exported_macro */


/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup FC_COPY_Exported_define FC_COPY Exported Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group FC_COPY_Exported_define */


/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup FC_COPY_Exported_define FC_COPY Exported Define
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group FC_COPY_Exported_define */


/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup FC_COPY_Exported_typedef FC_COPY Exported Typedef
 *  @{
 */

/* no define */

/**
 *  @}
 */ /* End of group FC_COPY_Exported_typedef */

/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup FC_COPY_Exported_functions FC_COPY Exported Functions
 *  @{
 */

void copy_fc_function(void);

/**
 *  @}
 */ /* End of group FC_COPY_Exported_functions */

/**
 *  @}
 */ /* End of group FC_COPY */

/**
 *  @}
 */ /* End of group UTILITY */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __FC_COPY_H */


